Question

Just installed mountain lion but firefox still saying I need to upgrade to work latest version

When pushing the update tab or going directly to mozilla site it says "your system doesn't meet the requirements to run firefox"

↓ Show more ↑ Show less
  • All posts
  • Helpful Solutions
  • post
  • owner
  • post
  • owner
  • helpful
  • owner
  • helpful
  • solution